FreeMat

- Main Page
- Related Pages

vtkDirectedGraph

Section: Visualization Toolkit Filtering Classes

# Usage

vtkDirectedGraph is a collection of vertices along with a collection of directed edges (edges that have a source and target). ShallowCopy() and DeepCopy() (and CheckedShallowCopy(), CheckedDeepCopy()) accept instances of vtkTree and vtkMutableDirectedGraph.

vtkDirectedGraph is read-only. To create an undirected graph, use an instance of vtkMutableDirectedGraph, then you may set the structure to a vtkDirectedGraph using ShallowCopy().

To create an instance of class vtkDirectedGraph, simply invoke its constructor as follows

      obj = vtkDirectedGraph

# Methods

The class vtkDirectedGraph has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkDirectedGraph class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkDirectedGraph = obj.NewInstance ()`
- `vtkDirectedGraph = obj.SafeDownCast (vtkObject o)`
- `int = obj.GetDataObjectType ()`